Subject: Re: [netlmm] Comment ondraft-muhanna-netlmm-pmipv6-support-transient-coa-01.txt

From: "Mohana Jeyatharan" <[email-masked]>
Date: Wed, 9 Apr 2008 09:15:26 +0800

Hi Ahmad,

Thanks for response. Pls see reply in-line.

BR,
Mohana

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Ahmad Muhanna
> Sent: Tuesday, April 08, 2008 9:02 PM
> To: Mohana Jeyatharan
> Cc: [email-masked]
> Subject: Re: [netlmm] Comment 
> ondraft-muhanna-netlmm-pmipv6-support-transient-coa-01.txt
> 
> Hi Mohan,
> Thanks for your comments, please see comments inline.
> 
> Regards,
> Ahmad
>  
> 
> > -----Original Message-----
> > From: Mohana Jeyatharan [mailto:[email-masked]]
> > Sent: Tuesday, April 08, 2008 2:21 AM
> > To: Muhanna, Ahmad (RICH1:2H10)
> > Cc: Sri Gundavelli; [email-masked]
> > Subject: Comment on
> > draft-muhanna-netlmm-pmipv6-support-transient-coa-01.txt
> > 
> > Hi Ahmad,
> > 
> > I read your draft on transient CoA. I definitely see the need to 
> > protect uplink packets that are on transit during hand-off and also 
> > understand the need for transient caches maintained at LMA during 
> > hand-off.
> > 
> > But, the question is that, base PMIP draft maintains BCE even after 
> > deregPBU. Cant the LMA maintain old BCE during horizontal 
> hand-off for 
> > a short time and accept up-link packets.
> 
> [Ahmad]
> The whole idea is to offer an optimized handover procedure 
> which allow a graceful move of the tunnel from the 
> old-Care-of-Address to the new Care-of-Address. Now, how to do this?
> It could be done with a kluge or with a decent procedure that 
> can define the process which is happening at the access side 
> while keeping the LMA informed.
> 
> Coming from the high level to the details:
> My understanding is the following:
> 
> The LMA or the MAG is not supposed to receive traffic for a 
> user unless the traffic belong to a tunnel that is registered 
> in the Mobile Node BCE. If we want to violate this rule, 
> please let me know so we probably need to revisit all of the 
> IP mobility standards that is out there including the PMIPv6 itself.
> 
> I believe we should not allow for the LMA or the MAG to 
> accept traffic except from a registered care-of-Address. 
> Since in reality and due to handover at certain times, the 
> LMA may receive traffic from more than one care-of-address 
> for a short period of time, then the LMA need to clearly know 
> about that through a secure trusted well defined signaling 
> mechanism which inline with the original principle of IP 
> mobility, in our case PMIPv6.
> 
> I hope that you agree.
> 
> Thanks again!

Yes, I agree. I guess, it kind of breaks the general rule of MIPv6 and
sort of PMIPv6.
The only difference is that in PMIPv6, still these packets are sent from
a trusted MAG that has a secured tunnel with the LMA. I guess, it is no
point discussing this because, I can see the benefits of the secondary
binding caches for hand-off optimizations. Thanks.
> 
> > Why should the new MAG explicity give this information to 
> LMA with a 
> > specific time field.
> > I agree, in your case, you are talking about early PBU via new 
> > MAG(using context transfer), and you do not want downlink 
> packets to 
> > come until MN makes attachment at new MAG. Apart from this 
> benefit, I 
> > am not verysure why LMA cant handle this and prevent the 
> uplink packet 
> > loss from old MAG.
> [Ahmad]
> Hope the above explain why.
> > 
> > BR,
> > Mohana
> > 
> > 
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm
> 
_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm